地图api-更新高德API后出现的问题,不清楚旧版的某些类被新版的哪些类所代替

作者:用户 来源:互联网 浏览:582 次 时间:2016-05-26 14:23:16

搜索地图api高德

地图api-更新高德API后出现的问题,不清楚旧版的某些类被新版的哪些类所代替 - 摘要: 更新高德API后出现的问题,不清楚旧版的某些类被新版的哪些类所代替工程用的是很早之前的地图API,不能在arm64上面运行,现在我更换成了最新的API让他能够在arm64上运行,可是我发现旧的API里

问题描述

更新高德API后出现的问题,不清楚旧版的某些类被新版的哪些类所代替

地图api-更新高德API后出现的问题,不清楚旧版的某些类被新版的哪些类所代替-高德地图最新版下载工程用的是很早之前的地图API,不能在arm64上面运行,现在我更换成了最新的API让他能够在arm64上运行,可是我发现旧的API里面的search文件和新版的差别挺大的,不仅是类名改变,连其中的属性及方法都已改变,我不确定旧版的类被新版的哪个类所替代,工程用到地图的地方也挺多,我需要一个一个替换,很麻烦不说还不知道该怎么替换,故来此求救,望能支援,谢谢!【旧版的AMapPOIIDSearchRequest类被新版哪个类替换了?】

解决方案

http://lbs.amap.com/home/faq/key/

解决方案二:

你直接查高德的API文档

【云栖快讯】阿里云栖开发者沙龙(Java技术专场)火热来袭!快来报名参与吧!  详情请点击
双十二
弹性可伸缩的计算服务,助您降低 IT 成本,提升运维效率

40+云计算产品,6个月免费体验

现在注册,免费体验40+云产品,及域名优惠!

云服务器9.9元/月,大学必备

热点导航